## librsvg 2.58.0+dfsg

=== debian/changelog ===
librsvg (2.58.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:14:29 +0000

librsvg (2.58.0+dfsg-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control: Add ${gir:Depends} to librsvg2-dev
  * d/control: Add ${gir:Provides} to librsvg2-dev
  * d/rules: Fix canonicalization of tests permissions
  * d/copyright: Fix file pattern for d/missing-sources/*
  * d/copyright: Remove an unused stanza
  * d/source/lintian-overrides: Silence a warning about non-UTF-8 test data
  * d/source/lintian-overrides: nogir is a valid build-profile
  * d/librsvg2-tests.lintian-overrides:
    Drop unused override for fonts that are no longer bundled
  * d/librsvg2-tests.lintian-overrides: Silence some false-positives

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 20:58:03 -0400

librsvg (2.57.92+dfsg-2) unstable; urgency=medium

  * Team upload
  * d/rules: Temporarily disable a reftest that is sensitive to Pango version.
    (Mitigates: #1065821)
  * d/patches: Refresh patch series. No functional changes.
  * d/patches: Update patch metadata, sort by topic
  * d/log-reftests.py: Update to find more reftest results.
    In the new source tree layout, some of the reftest results now land
    in tests/output/.
  * d/rules: Don't output the binary gvfs metadata log into buildd logs
  * d/.gitignore, d/source/options: Exclude debian/missing-sources/**/*.a
    from git commits and uploads
  * d/rules: Create a missing directory if necessary

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Mar 2024 14:49:33 +0000

librsvg (2.57.92+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Fix dh_fixperms handling for installed tests
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Mar 2024 11:05:30 -0500

librsvg (2.57.91+dfsg-2) experimental; urgency=medium

  * debian/patches/skip-broken-reftests.diff:
    -ignore the svg1_1_filters_conv 02 and 04 tests not only on bigendian
     architectures, they are also failing on ppc64el

  [ Matthias Geiger ]
  * Add patch to skip two failing reftests, big-endian specific failures 
  * Stop using d/control.in and dh_gnome_clean
  * Build-depend on libgirepository too, bump rustc version acccording
    to upstream requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Mar 2024 10:30:53 +0100

librsvg (2.57.91+dfsg-1) experimental; urgency=medium

  [ Amin Bandali ]
  * Change debian-branch from debian/master to debian/latest
  [  Jeremy Bícha ]
  * debian/watch: Update rule to watch for odd-numbered stable releases
    too
  [ Sebastien Bacher]
  * debian/librsvg2-tests.install:
    - update the directory where to install the assets to match the
      new version and fix the autopkgtests
  [ Matthias Geiger ]
  * New upstream release
  * Rebased patches for new upstream
  * Drop unstable-rustc-options patch; applied upstream
  * Drop thin-lto.patch, not needed anymore
  * Updated file paths in d/rules for new upstream
  * Vendor sources for librsvg into debian/missing-sources
  * Whitelisted additional binaries caused due to vendoring in
    d/s/include-binaries
  * Add use-vendored-crates patch to build with vendored sources
  * Amend d/rules to get librsvg to build
  * Exclude files needed for tests from autocleaning
  * Update install path for librsvg2-tests package
  * Drop libgirepository1.0-dev dependency, depend on separate gir-* packages
    with nogir build profile
  * Remove executable bit for test svg before install
  * Updated copyright information

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 28 Feb 2024 11:37:29 +0100

librsvg (2.54.7+dfsg-2) unstable; urgency=medium

  * Cherry-pick unstable-options patch to fix build with newer rustc
  * Set upstream metadata field Security-Contact
  * debian/control.in: Update Build-Depends: libfreetype6-dev -> libfreetype-dev
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 14:10:15 -0400

=== debian/control ===
Source: librsvg
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               cargo,
               dh-sequence-gir,
               jq,
               libcairo2-dev (>= 1.2.0),
               libfreetype-dev (>= 2.8.0),
               libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
               libglib2.0-dev (>= 2.50.0),
               libharfbuzz-dev,
               libpango1.0-dev (>= 1.48.11),
               libxml2-dev (>= 2.9.0),
               libgirepository1.0-dev,
               gir1.2-gobject-2.0-dev <!nogir>,
               gir1.2-gdkpixbuf-2.0-dev <!nogir>,
               gir1.2-gio-2.0-dev <!nogir>,
               gir1.2-cairo-1.0-dev <!nogir>,
               locales,
               python3-docutils <!nodoc>,
               rustc (>= 1.70),
               valac (>= 0.17.5)
Build-Depends-Indep: gi-docgen <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
Homepage: https://wiki.gnome.org/Projects/LibRsvg

Package: librsvg2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.2.0),
         libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
         libglib2.0-dev (>= 2.50.0),
         librsvg2-2 (= ${binary:Version}),
         librsvg2-common (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: librsvg2-doc
Multi-Arch: same
Description: SAX-based renderer library for SVG files (development)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the necessary development libraries and include
 files to allow you to develop with librsvg.

Package: librsvg2-2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: librsvg2-common
Suggests: librsvg2-bin
Multi-Arch: same
Description: SAX-based renderer library for SVG files (runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the runtime library, necessary to run
 applications using librsvg.

Package: librsvg2-common
Architecture: any
Depends: librsvg2-2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: SAX-based renderer library for SVG files (extra runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes the gdk-pixbuf loader allowing
 to load SVG images transparently inside GTK+ applications.

Package: librsvg2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: SAX-based renderer library for SVG files (documentation)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the API documentation.

Package: librsvg2-bin
Section: graphics
Architecture: any
Depends: librsvg2-2 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: command-line utility to convert SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes a command-line utility to convert the SVG files
 to the PNG format.

Package: librsvg2-tests
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: automated tests for RSVG library
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains automated tests, which can be run with
 gnome-desktop-testing or autopkgtest.

Package: gir1.2-rsvg-2.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gir files for renderer library for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains GObject-Introspection information.

=== debian/tests/control ===
Tests: build
Depends: build-essential, librsvg2-dev
Restrictions: allow-stderr, superficial

Tests: convert
Depends: file, librsvg2-bin
Restrictions: allow-stderr, superficial

Tests: gnome-desktop-testing
Depends: gnome-desktop-testing, librsvg2-tests
Restrictions: allow-stderr

## librsvg 2.59.1+dfsg

=== debian/changelog ===
librsvg (2.59.1+dfsg-1) unstable; urgency=medium

  * New upstream release (LP: #2083259)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Sep 2024 11:02:55 -0400

librsvg (2.59.0+dfsg-3) unstable; urgency=medium

  * Disable libavif feature in Ubuntu since it requires dav1d
    which is in universe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 14:48:18 -0400

librsvg (2.59.0+dfsg-2) unstable; urgency=medium

  * Release to unstable (Closes: #1081578, #1067102)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Sep 2024 19:02:00 -0400

librsvg (2.59.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Update Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Sep 2024 08:38:05 -0400

librsvg (2.58.94+dfsg-3) experimental; urgency=medium

  * debian/.gitignore: Correctly override upstream .gitignore
  * missing-sources: Add missing files now that gitignore is working correctly
  * Apply .a workaround from gnome-snapshot

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Sep 2024 11:28:52 -0400

librsvg (2.58.94+dfsg-2) experimental; urgency=medium

  * Revert "Temporarily disable new avif feature"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 14:38:16 -0400

librsvg (2.58.94+dfsg-1) experimental; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * Refresh patches
  * Update vendored crates
  * Update ABI patch to correctly export the symbol

  [ Jeremy Bícha ]
  * Restore level 4 symbols checking

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Sep 2024 14:54:11 -0400

librsvg (2.58.93+dfsg-5) experimental; urgency=medium

  * Add Depends to librsvg2-dev: libpango1.0-dev, libxml2-dev
    (Closes: #1079729) (LP: #2077918)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Aug 2024 08:37:43 -0400

librsvg (2.58.93+dfsg-4) experimental; urgency=medium

  * Temporarily disable new avif feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Aug 2024 09:20:56 -0400

librsvg (2.58.93+dfsg-3) experimental; urgency=medium

  * Always build docs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 08:06:21 -0400

librsvg (2.58.93+dfsg-2) experimental; urgency=medium

  * Fix arch-independent build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 07:04:43 -0400

librsvg (2.58.93+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Update missing-sources per debian/README.source
  * Add Build-Depends: libdav1d-dev for new avif feature
  * debian/librsvg2-2.symbols: Add new symbols
  * Temporarily drop symbols checking to level 1
  * Temporarily drop installed tests since they weren't included
    in the meson port

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 23:33:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
+               cargo-c,
                dh-sequence-gir,
+               gi-docgen,
                jq,
                libcairo2-dev (>= 1.2.0),
+               libdav1d-dev,
                libfreetype-dev (>= 2.8.0),
                libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
                libglib2.0-dev (>= 2.50.0),
@@ -21,12 +23,12 @@
                gir1.2-gio-2.0-dev <!nogir>,
                gir1.2-cairo-1.0-dev <!nogir>,
                locales,
+               meson,
                python3-docutils <!nodoc>,
                rustc (>= 1.70),
                valac (>= 0.17.5)
-Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
@@ -38,8 +40,11 @@
          libcairo2-dev (>= 1.2.0),
          libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
          libglib2.0-dev (>= 2.50.0),
+         libpango1.0-dev (>= 1.48.11),
+         libxml2-dev (>= 2.9.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),
+         ${dav1d:Depends},
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}

## librsvg 2.59.2+dfsg

=== debian/changelog ===
librsvg (2.59.2+dfsg-1~1ubuntu24.10.1) oracular; urgency=medium

  * New upstream bugfix release (LP: #2089563).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 26 Nov 2024 20:50:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,

## librsvg 2.59.90+dfsg

=== debian/changelog ===
librsvg (2.59.90+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 19:31:31 -0500

librsvg (2.59.90+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson
  * Update debian/README.source
  * Update missing-sources & include-binaries per debian/README.source

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 07:46:32 -0500

librsvg (2.59.2+dfsg-1) unstable; urgency=medium

  * New upstream release (LP: #2089563)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 26 Nov 2024 20:50:03 +0100

## librsvg 2.60.0+dfsg

=== debian/changelog ===
librsvg (2.60.0+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:22:00 +0200

librsvg (2.60.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Update debian/README.source to mention cargo-vendor-filterer

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Mar 2025 08:29:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
@@ -24,7 +23,7 @@
                gir1.2-gio-2.0-dev <!nogir>,
                gir1.2-cairo-1.0-dev <!nogir>,
                locales,
-               meson,
+               meson (>= 1.3.0),
                python3-docutils <!nodoc>,
                rustc (>= 1.70),
                valac (>= 0.17.5)

## librsvg 2.61.2+dfsg

=== debian/changelog ===
librsvg (2.61.2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Bump minimum cargo-c and rustc
  * Continue building the pixbuf loader since Debian's gdk-pixbuf hasn't
    switched to glycin yet
  * Move gi-docgen to Build-Depends-Indep
  * Remove nodoc annotation from python3-docutils
  * Remove Suggests: devhelp
  * Remove unnecessary Build-Depends: libgirepository1.0-dev (Closes: #1118884)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 19:58:18 -0400

## librsvg 2.61.3+dfsg

=== meson_options.txt ===
# See devel-docs/compiling.rst for details on these options.

option('introspection',
       type: 'feature',
       value: 'auto',
       yield: true,
       description: 'Build introspection data (requires gobject-introspection)')

option('pixbuf',
       type: 'feature',
       value: 'auto',
       yield: true,
       description: 'Build with GDK-Pixbuf'
       )

option('rsvg-convert',
       type: 'feature',
       value: 'enabled',
       yield: true,
       description: 'Build the rsvg-convert util to convert SVG files to other image formats'
       )

option('pixbuf-loader',
       type: 'feature',
       value: 'disabled',
       yield: true,
       description: 'Build the GDK-Pixbuf SVG loader (requires gdk-pixbuf-query-loaders)'
       )

option('docs',
       type: 'feature',
       value: 'auto',
       yield: true,
       description: 'Build API reference and rsvg-convert documentation (requires gi-docgen and rst2man)')

option('vala',
       type: 'feature',
       value: 'auto',
       yield: true,
       description: 'Build Vala bindings (requires the vala compiler)')

option('tests',
       type: 'boolean',
       value: true,
       yield: true,
       description: 'Build the test suite')

option('triplet',
       type: 'string',
       value: '',
       description : 'Rust target triplet (if needed)')

option('avif',
       type: 'feature',
       value: 'auto',
       description : 'Support embedded AVIF via libdav1d')

option('rustc-version',
       type: 'string',
       value: '',
       description: 'Installed RustC version to use (if needed; currently only supported for Windows builds)')

=== ci/requirements.txt ===
# IMPORTANT: See
# https://gnome.pages.gitlab.gnome.org/librsvg/devel-docs/ci.html#container-image-version

docutils
furo
gi-docgen
pytest
ruff
semver
setuptools
Sphinx
sphinx-issues
toml

=== debian/changelog ===
librsvg (2.61.3+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 09:55:29 -0500

librsvg (2.61.3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Nov 2025 21:36:34 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export CARGO_HOME = $(CURDIR)/debian/cargo-home
NULL =
built_binaries := $(shell dh_listpackages)
configure_flags :=

# Increase reftest tolerance a bit to account for different harfbuzz,
# pango, etc.
export RSVG_TEST_TOLERANCE=20

# dav1d is not currently in Ubuntu main LP: #2004446
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
configure_flags += -Davif=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	mkdir -p $(CARGO_HOME)
	cp -a debian/a-link-purple-bg.png rsvg_convert/tests/fixtures/a-link-purple-bg.png
	install -d debian/missing-sources/system-deps/src/tests/lib
	touch debian/missing-sources/system-deps/src/tests/lib/libteststatic.a
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dpixbuf-loader=enabled \
		$(configure_flags) \
		$(NULL)

execute_before_dh_auto_build:
	mkdir -p debian/missing-sources/system-deps-6.2.2/src/tests/lib/
	touch debian/missing-sources/system-deps-6.2.2/src/tests/lib/libteststatic.a

execute_after_dh_auto_build:
	rm -rf debian/missing-sources/system-deps-*/src/tests/lib/

override_dh_install:
	rm -f debian/tmp/usr/bin/rsvg-view-3
	dh_install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
		debian/librsvg2-common.postinst

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/rsvg/tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/rsvg/tests
endif

override_dh_clean:
	dh_clean -X.bak
	rm -fr $(CARGO_HOME)
ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b.svg
	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b-ref.png
endif
ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
	# Several tests regressed on big-endian architectures sometime between
	# September 2022 and June 2023 as a result of changes in some other
	# package.
	# https://bugs.debian.org/1038447, GNOME/librsvg#972
	rm -f rsvg/tests/fixtures/reftests/svg1.1/coords-viewattr-02-b.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#973
	rm -f rsvg/tests/fixtures/reftests/filter-kernel-unit-length.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#974
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-composite-04-f.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#975
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-02-f.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#976
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-03-f.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#977
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-04-f.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#978
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-01-b.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#979
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-02-b.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#980
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-03-f.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#981
	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-05-f.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#982
	rm -f rsvg/tests/fixtures/reftests/svg1.1/pservers-grad-05-b.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#983
	rm -f rsvg/tests/fixtures/reftests/svg1.1/pservers-grad-06-b.svg
	# https://bugs.debian.org/1038447, GNOME/librsvg#984
	rm -f rsvg/tests/fixtures/reftests/svg1.1/struct-symbol-01-b.svg
endif
	rm -f rsvg/tests/fixtures/reftests/bugs/730-font-scaling-ref.png
	rm -f rsvg/tests/fixtures/reftests/bugs/730-font-scaling.svg

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/locales
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
	failed=0; \
	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || failed=1; \
	find debian -name '*.log' \
		-not -name config.log \
		-not -name test-suite.log \
		-not -path '*/.local/share/gvfs-metadata/*.log' \
		-print0 | xargs -0 tail -v -c1M; \
	debian/log-reftests.py; \
	exit $$failed
endif

override_dh_auto_test-indep:
	@:

# dav1d is not currently in Ubuntu main LP: #2004446
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol
else
	dh_gencontrol -- \
		-Vdav1d:Depends='libdav1d-dev'
endif

=== debian/tests/control ===
Tests: build
Depends: build-essential, librsvg2-dev
Restrictions: allow-stderr, superficial

Tests: convert
Depends: file, librsvg2-bin
Restrictions: allow-stderr, superficial

#Tests: gnome-desktop-testing
#Depends: gnome-desktop-testing, librsvg2-tests
#Restrictions: allow-stderr
